Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.util
Class TilesIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.tiles.util.TilesIOException

All Implemented Interfaces:
  java.io.Serializable

    public class TilesIOException

extends java.io.IOException

This exception mimics the `IOException` class that is present in Java 6 but not in Java 5. It contains the same number of constructors.

Since:
  2.0.6
Version:
  $Rev: 619578 $ $Date: 2008-02-07 20:16:16 +0100 (gio, 07 feb 2008) $
See Also:
  Serialized Form

Constructor Summary
`TilesIOException()` Default constructor.
`TilesIOException(java.lang.String message)` Constructor.
`TilesIOException(java.lang.String message, java.lang.Throwable cause)` Constructor.
`TilesIOException(java.lang.Throwable cause)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TilesIOException

    public TilesIOException()

  Default constructor.

  Since:
    2.0.6

### TilesIOException

    public TilesIOException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - Message of the exception.
  Since:
    2.0.6

### TilesIOException

    public TilesIOException(java.lang.Throwable cause)

  Constructor.

  Parameters:
    `cause` - The cause of the exception.
  Since:
    2.0.6

### TilesIOException

    public TilesIOException(java.lang.String message,
                            java.lang.Throwable cause)

  Constructor.

  Parameters:
    `message` - Message of the exception.
    `cause` - The cause of the exception.
  Since:
    2.0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.